Package org.apache.groovy.ginq.dsl.expression

# Class DataSourceExpression

java.lang.Object
org.codehaus.groovy.ast.ASTNode
org.codehaus.groovy.ast.AnnotatedNode
org.codehaus.groovy.ast.expr.Expression
org.apache.groovy.ginq.dsl.expression.AbstractGinqExpression
org.apache.groovy.ginq.dsl.expression.DataSourceExpression

All Implemented Interfaces:
  `GroovydocHolder<AnnotatedNode>`, `DataSourceHolder`, `NodeMetaDataHandler`

Direct Known Subclasses:
  `FromExpression`, `JoinExpression`

public abstract class DataSourceExpression extends AbstractGinqExpression implements DataSourceHolder
Represents data source expression

Since:
  4.0.0

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected final Expression`
  `aliasExpr`
  Alias expression bound to the data source.
  `protected Expression`
  `dataSourceExpr`
  Expression yielding the data source.

  ### Fields inherited from class org.codehaus.groovy.ast.expr.Expression

  `EMPTY_ARRAY`

  ### Fields inherited from interface groovy.lang.groovydoc.GroovydocHolder

  `DOC_COMMENT`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DataSourceExpression(Expression aliasExpr, Expression dataSourceExpr)`
  Creates a data-source expression.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Expression`
  `getAliasExpr()`
  Returns the alias expression.
  `Expression`
  `getDataSourceExpr()`
  Returns the data-source expression.
  `void`
  `setDataSourceExpr(Expression dataSourceExpr)`
  Replaces the data-source expression.

  ### Methods inherited from class org.apache.groovy.ginq.dsl.expression.AbstractGinqExpression

  `accept, transformExpression, visit`

  ### Methods inherited from class org.codehaus.groovy.ast.expr.Expression

  `getType, setType, transformExpressions, transformExpressions`

  ### Methods inherited from class org.codehaus.groovy.ast.AnnotatedNode

  `addAnnotation, addAnnotation, addAnnotations, getAnnotations, getAnnotations, getDeclaringClass, getGroovydoc, getInstance, hasNoRealSourcePosition, isSynthetic, setDeclaringClass, setHasNoRealSourcePosition, setSynthetic`

  ### Methods inherited from class org.codehaus.groovy.ast.ASTNode

  `copyNodeMetaData, getColumnNumber, getLastColumnNumber, getLastLineNumber, getLineNumber, getMetaDataMap, getText, setColumnNumber, setLastColumnNumber, setLastLineNumber, setLineNumber, setMetaDataMap, setSourcePosition`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface org.apache.groovy.ginq.dsl.expression.DataSourceHolder

  `getDataSourceExpression, setDataSourceExpression`

  ### Methods inherited from interface org.codehaus.groovy.ast.NodeMetaDataHandler

  `copyNodeMetaData, getMetaDataMap, getNodeMetaData, getNodeMetaData, getNodeMetaData, newMetaDataMap, putNodeMetaData, removeNodeMetaData, setMetaDataMap, setNodeMetaData`

- ## Field Details

  - ### aliasExpr

    protected final Expression aliasExpr
    Alias expression bound to the data source.

  - ### dataSourceExpr

    protected Expression dataSourceExpr
    Expression yielding the data source.

- ## Constructor Details

  - ### DataSourceExpression

    public DataSourceExpression(Expression aliasExpr, Expression dataSourceExpr)
    Creates a data-source expression.
    Parameters:
      `aliasExpr` - the alias expression
      `dataSourceExpr` - the source expression

- ## Method Details

  - ### getAliasExpr

    public Expression getAliasExpr()
    Returns the alias expression.
    Returns:
      the alias expression

  - ### getDataSourceExpr

    public Expression getDataSourceExpr()
    Returns the data-source expression.
    Returns:
      the data-source expression

  - ### setDataSourceExpr

    public void setDataSourceExpr(Expression dataSourceExpr)
    Replaces the data-source expression.
    Parameters:
      `dataSourceExpr` - the new data-source expression